Bug 12937 - Deleting suggestions should ask for a confirmation
Summary: Deleting suggestions should ask for a confirmation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-17 11:14 UTC by Jonathan Druart
Modified: 2020-01-03 14:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12937: Deleting suggestions should ask for a confirmation (3.03 KB, patch)
2014-09-17 11:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12937: Deleting suggestions should ask for a confirmation (3.13 KB, patch)
2014-09-17 12:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12937 [Follow-up] Deleting suggestions should ask for a confirmation (2.34 KB, patch)
2014-09-17 12:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12937 [Follow-up] Deleting suggestions should ask for a confirmation (2.37 KB, patch)
2014-09-17 15:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 12937: Deleting suggestions should ask for a confirmation (3.15 KB, patch)
2014-09-19 11:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 12937 [Follow-up] Deleting suggestions should ask for a confirmation (2.43 KB, patch)
2014-09-19 11:27 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-09-17 11:14:09 UTC
On the suggestion management page, the librarian can choose to delete suggestions but no confirmation is needed.
This could produce unexpected lost of data.
Comment 1 Jonathan Druart 2014-09-17 11:17:18 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-09-17 12:34:35 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2014-09-17 12:34:42 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-09-17 15:29:17 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2014-09-19 11:27:21 UTC
Created attachment 31731 [details] [review]
[PASSED QA] Bug 12937: Deleting suggestions should ask for a confirmation

On the suggestion management page, the librarian can choose to delete
suggestions but no confirmation is needed.
This could produce unexpected lost of data.

Test plan:
- go on the suggestion management page
- don't select any suggestion and try to delete (check the checkbox and submit the form).
  Verify that you get an alert.
- select 1 suggestion and delete it, verify you get a confirmation
  message
- select 1+ suggestions and delete it, verify you get a confirmation
  message

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2014-09-19 11:27:32 UTC
Created attachment 31732 [details] [review]
[PASSED QA] Bug 12937 [Follow-up] Deleting suggestions should ask for a confirmation

This minor follow-up revises the language a bit: Adding missing question
marks and using the more standard prompt "Please select at least one..."

To test, follow the previous test plan and confirm that the prompts are
improved:

- go on the suggestion management page
- don't select any suggestion and try to delete (check the checkbox and
  submit the form). Verify that you get an alert.
- select 1 suggestion and delete it, verify you get a confirmation
  message
- select 1+ suggestions and delete it, verify you get a confirmation
  message

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2014-09-24 00:31:00 UTC
Patches pushed to master.

Thanks Jonathan and Owen!